

<div class="example-container">

    <button mat-raised-button color="primary" (click)="getEmployees(placeId)" formtarget="_blank">Get Employees</button>
       
    <input id="exchageRateDate" type="text" class="input" [(ngModel)]="placeId"  placeholder="employee id"/>

  </div>

<div class="example-container mat-elevation-z8"  *ngIf="data.length > 0">

  <div class="mat-elevation-z8" >

      <div class="example-loading-shade"
       *ngIf="isLoadingResults">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
  </div>
  
    <table mat-table [dataSource]="data" class="example-table"
           matSort matSortActive="id" matSortDisableClear matSortDirection="asc">

      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>Id</th>
        <td mat-cell *matCellDef="let row">{{row.id}}</td>
      </ng-container>

      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Name</th>
        <td mat-cell *matCellDef="let row">{{row.name}}</td>
      </ng-container>

      <ng-container matColumnDef="contractTypeName">
        <th mat-header-cell *matHeaderCellDef>ContractTypeName</th>
        <td mat-cell *matCellDef="let row">{{row.contractTypeName}}</td>
      </ng-container>

      <ng-container matColumnDef="roleId">
        <th mat-header-cell *matHeaderCellDef>Role Id</th>
        <td mat-cell *matCellDef="let row">{{row.roleId}}</td>
      </ng-container>

      <ng-container matColumnDef="roleName">
        <th mat-header-cell *matHeaderCellDef>Role Name</th>
        <td mat-cell *matCellDef="let row">{{row.roleName}}</td>
      </ng-container>

      <ng-container matColumnDef="roleDescription">
        <th mat-header-cell *matHeaderCellDef>Role Description</th>
        <td mat-cell *matCellDef="let row">{{row.roleDescription}}</td>
      </ng-container>

      <ng-container matColumnDef="hourlySalary">
        <th mat-header-cell *matHeaderCellDef>Hourly Salary</th>
        <td mat-cell *matCellDef="let row">{{row.hourlySalary}}</td>
      </ng-container>

      <ng-container matColumnDef="monthlySalary">
        <th mat-header-cell *matHeaderCellDef>Monthly Salary</th>
        <td mat-cell *matCellDef="let row">{{row.monthlySalary}}</td>
      </ng-container>

      <ng-container matColumnDef="anualSalary">
        <th mat-header-cell *matHeaderCellDef>Anual Salary</th>
        <td mat-cell *matCellDef="let row">{{row.anualSalary}}</td>
      </ng-container>

    
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" ></tr>
    </table>
  </div>
</div>
